Untether LabsDevelopers

Create Report Run

Beta
posthttps://app.untetherlabs.com/api/v1/reporting/reports/runs
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.

Create a new report run for the given report ID.

The report parameters depend on the report being executed, see the report documentation for more info.

Reports are generated asynchronously. The returned object will always be marked as running, you will have to periodically poll for status changes.

Request body#

reportIdstring
Required
parametersobject
Show values
<key>any

Response 201#

reportIdstring
Required
createdAtstring
Required
createdByReportUser
Required
namestring
Required
statusReportStatus
Required
running
completed
failed
fileobject

Only present if the report has been completed.

namestring
Required
mediaTypestring
Required
sizeBytesnumber· min 0
Required

Errors#

A report parameter did not pass validation, see message.

Show extension members
pathstring
messagestring
Required

Input validation failed.

Show extension members
pathstring
messagestring
Required

A specified report does not exist in the system.

A specified user does not exist in the system.